From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/solaar/
Date: Mon, 18 May 2020 06:16:44 +0000 (UTC) [thread overview]
Message-ID: <1589782602.207d9470d6e3326be95b16c1682e7715b9a87f30.robbat2@gentoo> (raw)
commit: 207d9470d6e3326be95b16c1682e7715b9a87f30
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon May 18 06:15:45 2020 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon May 18 06:16:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=207d9470
app-misc/solaar: bump
Upstream thinks this might be the final RC before a new
(upstream-stable) release.
Reference: https://github.com/pwr-Solaar/Solaar/issues/673#issuecomment-629839222
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
app-misc/solaar/Manifest | 1 +
app-misc/solaar/solaar-1.0.2_rc3.ebuild | 53 +++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/app-misc/solaar/Manifest b/app-misc/solaar/Manifest
index 571bd048921..f54ebd2ef11 100644
--- a/app-misc/solaar/Manifest
+++ b/app-misc/solaar/Manifest
@@ -1,3 +1,4 @@
DIST solaar-1.0.1.tar.gz 1195660 BLAKE2B e6cd89b5735e125dd438255a8961b1d5d38feb515c5097efec0403d99b9db6e29c439c13e279fcffe69cb314bf2650a7a11770830fdf1e971ade27ce8331aed2 SHA512 e0b2bbfd97d9650d94f1a4b47e4e70f09c75f684e7e1d3e67d2cf6dd197109084e941b98333e173fb205d5c9464dd07e17390d9c2d5b46393fee2efdb20429ac
DIST solaar-1.0.2-rc1.tar.gz 1219777 BLAKE2B aa6780aa4748de97c69c03263e731a47068844e7f4275f87eadd3251e8dcf14b82fdd5ba0eae13492634b7d252340a01b9492cc8948f78fb86c15b4bc4698789 SHA512 1aa5a066c8b735e6525da4da738e9632107867e3d70d67fe7e643debdc9dc7969b033d618ff2c3f538095a9995a7e90d068f9d0f41e858361327c75718dbdb12
DIST solaar-1.0.2rc2.tar.gz 1212725 BLAKE2B e43dcd013e4251e7450079cafa34e171d10e0144e2b736148a90052e4b2dfed76d6b2c0048a848bb2449febff312d3c058ad03e32f0bdede04cb418adf9d030a SHA512 33a63bc8405a4d48d4dc834d22c0376119a6f611067cd14eaa815503e120a2d877a4f73362aa53bc857aef9626d82413619b1e9a748b9b8bbed0828146c64342
+DIST solaar-1.0.2rc3.tar.gz 1212831 BLAKE2B 5559a0e3a75252914080da7d87739bd8ea867eb09e2a80e31c4057626060c841a60501ac4fcf0f58489e67bed71067c25594ca2250fa961607ba25211350eeab SHA512 fde0533cc5278a831f309e76d449f33b987621d45025879ab1fc9f908073f661e10d6ef030d8455bbc5ca0e82e25f4bb7de1a54327c4b1ecaada08796f46f2e4
diff --git a/app-misc/solaar/solaar-1.0.2_rc3.ebuild b/app-misc/solaar/solaar-1.0.2_rc3.ebuild
new file mode 100644
index 00000000000..5a5a4947822
--- /dev/null
+++ b/app-misc/solaar/solaar-1.0.2_rc3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit linux-info udev xdg distutils-r1
+
+DESCRIPTION="A Linux device manager for Logitech's Unifying Receiver peripherals"
+HOMEPAGE="https://pwr-solaar.github.io/Solaar/"
+SRC_URI="https://github.com/pwr-Solaar/Solaar/archive/${PV/_rc/rc}.tar.gz -> ${P/_rc/rc}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc"
+
+RDEPEND="
+ acct-group/plugdev
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ >=dev-python/pyudev-0.13[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]"
+
+S="${WORKDIR}"/Solaar-${PV/_rc/rc}
+
+CONFIG_CHECK="~HID_LOGITECH_DJ ~HIDRAW"
+
+python_prepare_all() {
+ # don't autostart (bug #494608)
+ sed -i \
+ -e '/yield autostart_path/d' \
+ setup.py || die
+
+ sed -i -r \
+ -e '/yield.*udev.*rules.d/{s,/etc,/lib,g}' \
+ setup.py || die
+
+ # grant plugdev group rw access
+ sed -i 's/#MODE=/MODE=/' rules.d/42-logitech-unify-permissions.rules || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ dodoc docs/devices.md
+ if use doc; then
+ dodoc -r docs/*
+ fi
+}
next reply other threads:[~2020-05-18 6:16 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-18 6:16 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-26 15:16 [gentoo-commits] repo/gentoo:master commit in: app-misc/solaar/ Arthur Zamarin
2024-10-25 21:25 Sam James
2024-05-22 13:19 Matt Jolly
2024-05-17 5:57 Matt Turner
2024-05-17 5:57 Matt Turner
2024-05-17 5:57 Matt Turner
2024-05-17 5:57 Matt Turner
2023-10-03 17:18 Mart Raudsepp
2023-06-12 20:46 Sam James
2023-06-12 20:43 Sam James
2023-05-01 12:34 Michał Górny
2023-04-27 15:00 Pacho Ramos
2023-04-25 3:55 Sam James
2023-04-25 3:55 Sam James
2023-04-14 2:55 Robin H. Johnson
2023-02-27 15:12 Pacho Ramos
2023-01-04 4:56 Sam James
2023-01-04 3:28 Sam James
2022-06-06 11:02 Jakov Smolić
2022-06-06 11:02 Jakov Smolić
2022-05-24 15:05 Matt Turner
2022-05-24 15:05 Matt Turner
2022-03-25 19:47 Florian Schmaus
2022-03-21 16:59 Robin H. Johnson
2022-03-21 16:59 Robin H. Johnson
2022-03-21 16:59 Robin H. Johnson
2022-01-11 5:01 Robin H. Johnson
2021-11-28 0:47 Robin H. Johnson
2021-04-14 18:04 Matt Turner
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-02-28 4:27 Matt Turner
2021-02-28 2:31 Matt Turner
2021-02-27 19:26 Matt Turner
2021-02-27 19:26 Matt Turner
2020-12-02 23:31 Thomas Deutschmann
2020-12-02 22:49 Sam James
2020-12-02 22:15 Sam James
2020-07-27 21:45 Robin H. Johnson
2020-05-22 5:18 Matt Turner
2020-05-22 4:42 Robin H. Johnson
2020-05-12 4:55 Robin H. Johnson
2020-05-12 4:55 Robin H. Johnson
2020-03-24 19:47 Robin H. Johnson
2020-03-23 20:55 Robin H. Johnson
2020-03-23 19:26 Robin H. Johnson
2020-02-05 21:21 Michał Górny
2019-12-22 19:44 Joonas Niilola
2019-09-15 16:49 Joonas Niilola
2019-09-13 12:58 Michał Górny
2018-06-27 17:49 Pacho Ramos
2016-11-09 11:17 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589782602.207d9470d6e3326be95b16c1682e7715b9a87f30.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox